#ifndef __CustomMode
#define __CustomMode

#include <stdint.h>
#include "base.h"
#include "../config.h"

class CustomMode : public IMode
{
  private:
    uint16_t values[StepCount];

  public:
    void read(uint8_t* data);
    void write(Stream* stream);

    void init(IStairs* stairs, uint32_t currentTime);
    void tick(IStairs* stairs, uint32_t currentTime);
};

#endif