/// <reference path="../../../node_modules/@types/requirejs/index.d.ts"/>
var bowerBase = '../../bower_components/';

var config: RequireConfig = {
    baseUrl: "assets/dist/",
    shim: {
        'bootstrap': {
            deps: ['jquery', 'tether'],
            exports: 'Bootstrap'
        }
    },
    paths: {
        crossroads: bowerBase + 'crossroads/dist/crossroads.min',
        hasher: bowerBase + 'hasher/dist/js/hasher.min',
        jquery: bowerBase + 'jquery/dist/jquery.min',
        knockout: bowerBase + 'knockout/dist/knockout',
        signals: bowerBase + 'js-signals/dist/signals.min',
        text: bowerBase + 'text/text',
        bootstrap: bowerBase + 'bootstrap/dist/js/bootstrap.min',
        tether: bowerBase + 'tether/dist/js/tether.min',
        nprogress: bowerBase + 'nprogress/nprogress'
    }
};

// No definition in the typing
(<any>config).wrapShim = true;

requirejs.config(config);

(<any>window).Tether = require(['tether'], function()
{
    require(['bootstrap', 'index']);
});