import template = require('text!./page-settings.html');
import ko = require('knockout');
import stairs = require('stairs');

class SettingsController
{
  public Stairs = stairs.Stairs.instance();


  public resetRanges = (): boolean =>
  {
    this.Stairs.Range.Values(this.Stairs.Range.Values().map((item: stairs.StairsRangeValue): stairs.StairsRangeValue =>
    {
      var value = new stairs.StairsRangeValue();
      value.Start(0);
      value.End(4095);
      return value;
    }));

    return false;
  }
}

export = { viewModel: SettingsController, template: template };